/*
 * Class BOUNDED [CHARACTER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1780 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1780 [] = {0xFF01,1551,1779,872,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1780 [] = {0xFF01,1779,872,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1780 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1780 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1780 [] = {0xFF01,1779,872,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1780 [] = {0xFF01,1779,872,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1780 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1780 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1780 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1780 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1780 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1780 [] = {1779,872,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1780 [] = {0xFF01,1779,872,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1780 [] = {0xFF01,1758,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1780 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1780[] = {
	{EIF_GENERIC(NULL), 9364, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1780), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1780), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1780), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1780), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1780), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1780), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1780), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1780), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1780), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1780), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1780), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1780), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1780), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1780), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9211, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8623, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8624, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8625, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8626, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8627, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1780), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1780), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9365, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1780(void)
{
	IDSC(desc_1780, 0, 1779);
	IDSC(desc_1780 + 1, 1, 1779);
	IDSC(desc_1780 + 32, 1134, 1779);
	IDSC(desc_1780 + 41, 1395, 1779);
	IDSC(desc_1780 + 43, 878, 1779);
	IDSC(desc_1780 + 44, 554, 1779);
}


#ifdef __cplusplus
}
#endif
